<?php
/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package WordPress
 * @subpackage business-lounge
 * @since business-lounge 1.0
 */

if ( function_exists( 'register_block_style' ) ) {
	/**
	 * Register block styles.
	 *
	 * @since business-lounge 1.0
	 *
	 * @return void
	 */
	function business_lounge_register_block_styles() {
		
		// Image: Borders.
		register_block_style(
			'core/image',
			array(
				'name'  => 'business-lounge-border',
				'label' => esc_html__( 'Borders', 'business-lounge' ),
			)
		);

		
	}
	add_action( 'init', 'business_lounge_register_block_styles' );
}